#!/bin/sh

MOZILLA_EXEC="firebird"
LOCATION='new-tab'

case $1 in
    -browser)
    	REMOTE_COMMAND="xfeDoCommand (openBrowser)"
	;;
    -mail)
        echo "mail not supported"
	exit 1;
	;;
    -compose)
        echo "compose not supported"
	exit 1;
	;;
    -*)
    	exec $MOZILLA_EXEC "$@"
	;;
    *)
    	REMOTE_COMMAND="openURL($@, $LOCATION)"
	;;
esac
    
# process found
$MOZILLA_EXEC -remote "ping()"                    &&
$MOZILLA_EXEC -remote "$REMOTE_COMMAND"           && exit 0

# no existing process
exec $MOZILLA_EXEC "$@"

